import { select } from 'd3';

export const menu = (
  selection,
  { optionsData, onChange, value },
) => {
  const selectedElement = selection
    .selectAll('select')
    .data([null])
    .join('select')
    .on('change', (e) => {
      onChange(e.target.value);
    })

  selectedElement
    .selectAll('option')
    .data(optionsData)
    .join('option')
    .attr('value', (d) => d.value)
    .text((d) => d.label);

  selectedElement.property('value', value);
}